"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ARRAY = exports.FETCH_RESOURCE_REQUESTED = exports.FETCH_RESOURCE_RECEIVED = exports.FETCH_RESOURCE_FAILED = exports.FETCH_RESOURCE_ALREADY_REQUESTED = exports.FETCH_RESOURCE_ALREADY_RECEIVED = void 0;
var NAMESPACE = '@@repository';
/**
 * Resource fetching canceled, because it has already been received.
 * @type {string}
 */

var FETCH_RESOURCE_ALREADY_RECEIVED = "".concat(NAMESPACE, "/FETCH_RESOURCE_ALREADY_RECEIVED");
/**
 * Resource fetching canceled, because it has already been requested.
 * @type {string}
 */

exports.FETCH_RESOURCE_ALREADY_RECEIVED = FETCH_RESOURCE_ALREADY_RECEIVED;
var FETCH_RESOURCE_ALREADY_REQUESTED = "".concat(NAMESPACE, "/FETCH_RESOURCE_ALREADY_REQUESTED");
/**
 * Resource fetching failed.
 * @type {string}
 */

exports.FETCH_RESOURCE_ALREADY_REQUESTED = FETCH_RESOURCE_ALREADY_REQUESTED;
var FETCH_RESOURCE_FAILED = "".concat(NAMESPACE, "/FETCH_RESOURCE_FAILED");
/**
 * Resource fetching completed.
 * @type {string}
 */

exports.FETCH_RESOURCE_FAILED = FETCH_RESOURCE_FAILED;
var FETCH_RESOURCE_RECEIVED = "".concat(NAMESPACE, "/FETCH_RESOURCE_RECEIVED");
/**
 * Resource fetching started.
 * @type {string}
 */

exports.FETCH_RESOURCE_RECEIVED = FETCH_RESOURCE_RECEIVED;
var FETCH_RESOURCE_REQUESTED = "".concat(NAMESPACE, "/FETCH_RESOURCE_REQUESTED");
/**
 * Array of all of the action types.
 * @type {Array<string>}
 */

exports.FETCH_RESOURCE_REQUESTED = FETCH_RESOURCE_REQUESTED;
var ARRAY = [FETCH_RESOURCE_ALREADY_RECEIVED, FETCH_RESOURCE_ALREADY_REQUESTED, FETCH_RESOURCE_FAILED, FETCH_RESOURCE_RECEIVED, FETCH_RESOURCE_REQUESTED];
exports.ARRAY = ARRAY;